%define upstream_name    Dist-Zilla-Plugin-Prepender
%define upstream_version 1.100960

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    prepend lines at the top of your perl files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/J/JQ/JQUELIN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(Test::More)

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
This plugin will prepend the specified lines in each Perl module or
program within the distribution. For scripts having a shebang line,
lines will be inserted just after it.

This is useful to enforce a set of pragmas to your files (since pragmas
are lexical, they will be active for the whole file), or to add some
copyright comments, as the fsf recommends.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
%{__rm} -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Apr 07 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.960-1mdv2010.1
+ Revision: 532708
- update to 1.100960

* Wed Jan 13 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.130-1mdv2010.1
+ Revision: 490730
- update to 1.100130

* Sun Nov 22 2009 Jérôme Quelin <jquelin@mandriva.org> 1.93.190-1mdv2010.1
+ Revision: 468984
- update buildrequires:
- update to 1.093190

* Thu Aug 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.2.1-1mdv2010.0
+ Revision: 410867
- update to 0.2.1

* Mon Jun 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.2.0-1mdv2010.0
+ Revision: 390702
- update to new version 0.2.0
- update source url

* Sat Jun 20 2009 Jérôme Quelin <jquelin@mandriva.org> 0.1.1-1mdv2010.0
+ Revision: 387439
- import perl-Dist-Zilla-Plugin-Prepender


* Sun Jun 20 2009 cpan2dist 0.1.1-1mdv
- initial mdv release

